## ros-one-camera-info-manager-py 0.2.3-15jammy.20251023.0246

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(camera_info_manager_py)

find_package(catkin REQUIRED COMPONENTS rospy sensor_msgs)
include_directories(include ${catkin_INCLUDE_DIRS})

catkin_python_setup()
catkin_package(CATKIN_DEPENDS sensor_msgs)

# Unit test uses nose, but needs rostest to create a ROS environment.
if (CATKIN_ENABLE_TESTING)
  find_package(roscpp REQUIRED)
  find_package(camera_info_manager REQUIRED)
  add_executable(generate_camera_info
    tests/generate_camera_info.cpp
    )
  # TODO(lucasw) Can the roscpp and camera_info_manager dependencies
  # get added to catkin_LIBRARIES somehow?
  target_link_libraries(generate_camera_info ${catkin_LIBRARIES}
      ${roscpp_LIBRARIES} ${camera_info_manager_LIBRARIES})

  find_package(rostest REQUIRED)

  add_rostest(tests/load_cpp_camera_info.test DEPENDENCIES generate_camera_info)
  add_rostest(tests/unit_test.test)
endif(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-one-camera-info-manager-py (0.2.3-15jammy.20251023.0246) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 02:46:15 +0000

ros-one-camera-info-manager-py (0.2.3-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 13 May 2014 00:00:00 -0000

ros-one-camera-info-manager-py (0.2.2-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 25 Jul 2013 00:00:00 -0000

ros-one-camera-info-manager-py (0.2.1-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 14 Apr 2013 00:00:00 -0000

ros-one-camera-info-manager-py (0.2.0-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 28 Mar 2013 00:00:00 -0000

ros-one-camera-info-manager-py (0.1.0-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 05 Dec 2012 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-camera-info-manager-py//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-camera-info-manager-py 0.2.3-15jammy.20260220.2329

=== debian/changelog ===
ros-one-camera-info-manager-py (0.2.3-15jammy.20260220.2329) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 20 Feb 2026 23:29:46 +0000

## ros-one-camera-info-manager-py 0.2.3-15noble.20251023.0244

=== debian/changelog ===
ros-one-camera-info-manager-py (0.2.3-15noble.20251023.0244) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 02:44:25 +0000

ros-one-camera-info-manager-py (0.2.3-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 13 May 2014 00:00:00 -0000

ros-one-camera-info-manager-py (0.2.2-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 25 Jul 2013 00:00:00 -0000

ros-one-camera-info-manager-py (0.2.1-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 14 Apr 2013 00:00:00 -0000

ros-one-camera-info-manager-py (0.2.0-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 28 Mar 2013 00:00:00 -0000

ros-one-camera-info-manager-py (0.1.0-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 05 Dec 2012 00:00:00 -0000

=== debian/control ===
Source: ros-one-camera-info-manager-py
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-camera-info-manager, ros-one-catkin, ros-one-rospy, ros-one-rostest, ros-one-sensor-msgs
Homepage: http://ros.org/wiki/camera_info_manager_py
Standards-Version: 3.9.2

Package: ros-one-camera-info-manager-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, python3-yaml, ros-one-rospy, ros-one-sensor-msgs
Description: Python interface for camera calibration information.
 This ROS package provides a CameraInfo interface for Python camera drivers similar to the C++ camera_info_manager package.

## ros-one-camera-info-manager-py 0.2.3-15noble.20260220.2349

=== debian/changelog ===
ros-one-camera-info-manager-py (0.2.3-15noble.20260220.2349) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 20 Feb 2026 23:49:51 +0000
